*{
margin:0;
padding:0;
box-sizing:border-box;
font-family:'Poppins',sans-serif;
}

body{
background:#f7f8fa;
color:#222;
}

header{
display:flex;
justify-content:space-between;
align-items:center;
padding:15px 40px;
background:#131921;
color:#fff;
position:sticky;
top:0;
z-index:100;
}

.logo{
font-size:30px;
font-weight:700;
}

.search{
display:flex;
width:40%;
}

.search input{
flex:1;
padding:12px;
border:none;
outline:none;
}

.search button{
padding:12px 20px;
border:none;
background:#ff9900;
cursor:pointer;
font-weight:600;
}

nav{
display:flex;
align-items:center;
gap:20px;
}

nav a{
color:white;
text-decoration:none;
}

.login-btn{
background:#ff9900;
border:none;
padding:10px 18px;
cursor:pointer;
border-radius:6px;
}

.hero{
height:500px;
display:flex;
align-items:center;
justify-content:center;
text-align:center;
background:linear-gradient(135deg,#0f172a,#2563eb);
color:white;
}

.hero h1{
font-size:60px;
margin-bottom:15px;
}

.hero p{
font-size:20px;
margin-bottom:25px;
}

.hero button{
padding:14px 30px;
border:none;
border-radius:8px;
font-size:18px;
cursor:pointer;
}

.categories,
.products{
padding:70px 50px;
}

h2{
text-align:center;
margin-bottom:35px;
font-size:34px;
}

.grid{
display:grid;
grid-template-columns:repeat(auto-fit,minmax(220px,1fr));
gap:25px;
}

.card,
.product{
background:white;
padding:30px;
border-radius:15px;
text-align:center;
box-shadow:0 10px 25px rgba(0,0,0,0.08);
transition:.3s;
}

.card:hover,
.product:hover{
transform:translateY(-8px);
}

.seller{
padding:80px 20px;
text-align:center;
background:#111827;
color:white;
}

.seller button{
margin-top:20px;
padding:14px 30px;
border:none;
background:#ff9900;
border-radius:8px;
cursor:pointer;
}

footer{
background:#131921;
color:white;
text-align:center;
padding:40px;
}